> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workflowv1documents transitions

> Lists the transitions available for a document. (Deprecated) Use document API v2 document.documents.listTransitions instead.



## OpenAPI

````yaml /openapis/workflow.json get /workflow/v1/documents/{documentId}/transitions
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: workflow
    description: >-
      Lets you perform workflow actions and access workflow configuration (beta
      version, subject to change)
paths:
  /workflow/v1/documents/{documentId}/transitions:
    get:
      tags:
        - workflow
      description: >-
        Lists the transitions available for a document. (Deprecated) Use
        document API v2 document.documents.listTransitions instead.
      operationId: workflow:v1beta1.Workflow.listAvailableDocumentTransitions
      parameters:
        - $ref: '#/components/parameters/documentId_path_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      responses:
        '200':
          description: A ApiStateTransitionList response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiStateTransitionList'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    documentId_path_parameter:
      name: documentId
      in: path
      description: The ID of the document
      required: true
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  schemas:
    ApiStateTransitionList:
      type: object
      properties:
        isTransitionable:
          type: boolean
        items:
          type: array
          items:
            $ref: '#/components/schemas/ApiStateTransition'
        kind:
          type: string
        notTransitionableReason:
          type: string
    ApiStateTransition:
      type: object
      properties:
        commentPolicy:
          type: string
          enum:
            - FORBIDDEN
            - OPTIONAL
            - MANDATORY
        condition:
          type: string
        fromStateId:
          type: string
        fromStateName:
          type: string
        fromStateName_i18n:
          type: string
        id:
          type: string
        kind:
          type: string
        mandatoryComment:
          type: boolean
        name:
          type: string
        name_i18n:
          type: string
        parallel:
          type: boolean
        targetStateId:
          type: string
        targetStateName:
          type: string
        targetStateName_i18n:
          type: string
        validators:
          type: array
          items:
            $ref: '#/components/schemas/ApiValidator'
        value:
          type: string
        workflowId:
          type: string
    ApiValidator:
      type: object
      properties:
        kind:
          type: string
        user:
          $ref: '#/components/schemas/ApiBaseUserProfile'
        validated:
          type: boolean
    ApiBaseUserProfile:
      type: object
      properties:
        email:
          type: string
          description: The email of the user
        kind:
          type: string
        name:
          type: string
          description: The displayed name of the user
        nonGoogle:
          type: boolean
          description: This user is not a google user
        thumbnailPictureUrl:
          type: string
          description: The URL of the thumbnail picture of the user
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````